GS News - Black Ops II won't run on Windows XP

Activision details system requirements for Treyarch's new Call of Duty; game requires Windows Vista or newer OS due to DirectX11.

Discussion

0 comments
Stonedwolfed
Stonedwolfed

The move to create tech for the next-gen of consoles and DX11 means XP is on the way out, I'm afraid. Me = Love XP.